import { PuppeteerNode } from 'puppeteer-core';
export interface Block {
    name: string;
}
export interface Content {
    app: {
        default: () => Promise<any>;
    };
}
export interface ScreenOptions {
    clm?: string;
    all?: boolean;
    theme?: string;
    id?: string;
}
export interface Block {
    name: string;
}
export declare type requirePuppeteerCb = () => Promise<PuppeteerNode>;
declare global {
    interface Window {
        __blocks: Block[];
        __blocksList: {
            iconsPath?: string;
            id: string;
        }[];
        Content: Content;
        __renderBlocks: (blocks: any[]) => void;
        __renderBlock: (block: any) => void;
    }
    interface HTMLElement {
        __vue__: any;
    }
}
export interface IStaticServer {
    port: string | number;
    stop(): void;
}
